# Contributing

---
**NOTE**: this document has been adapted from the excellent Contributing
guide of the [UofTCoders' `rcourse`](https://github.com/UofTCoders/rcourse/blob/master/CONTRIBUTING.md).

---

The `gds_env` is an open-source project, aimed to provide a containerised platform for Geographic Data Science. 

## Feedback

If you use the `gds_env`, we'd love to hear from you!

Here are a few pointers to effectively get in touch:

- If you find rough edges, you can open a [new issue](https://github.com/darribas/gds_env/issues/new/choose) on the tracker
- If you would like to propose new libraries or extension, these are logged and compiled on [issues with the "Stack changes" label](https://github.com/darribas/gds_env/issues?q=is%3Aissue+label%3A%22Stack+changes%22+). Check out the latest one and feel free to join the conversation
- If you use the `gds_env`, we would love to hear about the context (education, research, industry) and how it goes. This is very rewarding in itself, but it also helps us map how the project is adopted and used, so don't be shy to reach out!

## How to Contribute

Anyone can contribute to the course repository via [pull requests](https://docs.github.com/en/github/collaborating-with-issues-and-pull-requests/about-pull-requests).

We use [GitHub flow](https://guides.github.com/introduction/flow/) to manage changes:

1. Create a [fork](https://help.github.com/articles/fork-a-repo/) of this repository, and [clone](https://help.github.com/articles/cloning-a-repository/) it to your local computer.
2. In your local copy of this repository, create a new [branch](https://help.github.com/articles/about-branches/).
3. Commit your changes to that branch.
4. Push the edits on that branch to your fork on GitHub.
5. Submit a pull request to the main repository (`darribas/gds_env`).
6. If you receive feedback on your pull request, make further commits to the new branch on your fork. These will automatically be added to your pull request. 

You may wish to look at [How to Contribute to an Open Source Project on GitHub](https://egghead.io/courses/how-to-contribute-to-an-open-source-project-on-github)
for more detailed instructions. The [GitHub Glossary](https://help.github.com/articles/github-glossary/) is also a useful resource that explains
Git-related terminology. 
